DDC Enterprise Limited

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/ddc-enterprise-limited/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/ddc-enterprise-limited/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1779840000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.ddc.xyz/news-events/press-releases/detail/89/ddc-adds-131-bitcoin-to-2714-btc-treasury-two-purchases-in-seven-days-lift-per-share-bitcoin-exposure-13-9",
    "holding_balance": 2714.0,
    "holding_net_change": 131.0,
    "transaction_value_usd": 10366685.0,
    "average_entry_value_usd": 79135.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1780444800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.ddc.xyz/news-events/press-releases/detail/90/ddc-purchases-95-bitcoin-bringing-treasury-to-2899-btc-btc-per-share-up-53-3-year-to-date",
    "holding_balance": 2804.0,
    "holding_net_change": 90.0,
    "transaction_value_usd": 3943732.0,
    "average_entry_value_usd": 43819.24,
    "transaction_value_calculated": false
  },
  {
    "date": 1781654400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.ddc.xyz/news-events/press-releases/detail/90/ddc-purchases-95-bitcoin-bringing-treasury-to-2899-btc-btc-per-share-up-53-3-year-to-date",
    "holding_balance": 2899.0,
    "holding_net_change": 95.0,
    "transaction_value_usd": 5937652.0,
    "average_entry_value_usd": 62501.6,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/ddc-enterprise-limited/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    2899.0
  ],
  [
    1782950400000,
    2899.0
  ],
  [
    1783036800000,
    2899.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/ddc-enterprise-limited/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    173837230.45
  ],
  [
    1782950400000,
    178253219.17
  ],
  [
    1783036800000,
    181262845.01
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/ddc-enterprise-limited/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.8283,
    "date": "2026-06-30",
    "high": 0.93,
    "open": 0.91,
    "close": 0.93,
    "volume": 71757
  },
  {
    "low": 0.86,
    "date": "2026-07-01",
    "high": 1.03,
    "open": 0.9021,
    "close": 1.01,
    "volume": 175726
  },
  {
    "low": 0.86,
    "date": "2026-07-02",
    "high": 1.03,
    "open": 0.9797,
    "close": 0.9312,
    "volume": 95167
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/ddc-enterprise-limited/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ddc-enterprise-limited/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -26.72,
  "six_month_return": -55.23,
  "three_month_return": -44.24
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ddc-enterprise-limited/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 409.7,
  "total_btc_percentage": 0.014,
  "share_price_change_state": "down"
}